Disable keystone admin_token usage
Closed, ResolvedPublic

Description

This is a bootstrap mechanism not intended for longer term use. At least glance seems to be using this still.

chasemp created this task.May 13 2017, 2:37 AM

Change 357651 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] Glance: Update our keystone_authtoken section

https://gerrit.wikimedia.org/r/357651

Change 357651 merged by Andrew Bogott:
[operations/puppet@production] Glance: Update our keystone_authtoken section

https://gerrit.wikimedia.org/r/357651

Change 357658 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] Designate: further cleanup of keystone_authtoken config

https://gerrit.wikimedia.org/r/357658

Change 357659 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] Remove references to keystone admin_token

https://gerrit.wikimedia.org/r/357659

Change 357658 merged by Andrew Bogott:
[operations/puppet@production] Designate: further cleanup of keystone_authtoken config

https://gerrit.wikimedia.org/r/357658

Change 357672 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] Keystone: add keystone-paste.ini upstream files.

https://gerrit.wikimedia.org/r/357672

Change 357672 merged by Andrew Bogott:
[operations/puppet@production] Keystone: add keystone-paste.ini upstream files.

https://gerrit.wikimedia.org/r/357672

Change 357659 merged by Andrew Bogott:
[operations/puppet@production] Remove references to keystone admin_token

https://gerrit.wikimedia.org/r/357659

Andrew closed this task as Resolved.Jun 12 2017, 2:08 PM
Andrew claimed this task.

Mentioned in SAL (#wikimedia-releng) [2017-06-12T14:15:47Z] <hashar> Nodepool: regenerating Trusty images to confirm that removal of keystone admin_token is a noop for nodepool - T165211